<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Modules\Blog\Entities\BlogPosts;

class SitemapXmlController extends Controller
{
    public function index()
    {
        # Gerador automático de Sitemaps em formato XML
        # Por favor, não alterar este controlador e nem sua respectiva view.
        # Para adicionar as páginas, utilize a SitePagesController
        $pages = SitePagesController::Pages();
        foreach ($pages as $page): $data[] = (object) $page; endforeach;
        return response()->view('xml', [
            'data' => (object) $data
        ])->header('Content-Type', 'text/xml');
    }
}
